Bug 137847 - sound-juicer crashing after 10-15 minutes of ripping
sound-juicer crashing after 10-15 minutes of ripping
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: sound-juicer (Show other bugs)
3
All Linux
medium Severity medium
: ---
: ---
Assigned To: Colin Walters
:
Depends On:
Blocks: 131589
  Show dependency treegraph
 
Reported: 2004-11-01 22:53 EST by Havoc Pennington
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-11-09 14:07:11 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Havoc Pennington 2004-11-01 22:53:10 EST
Several times now after ripping for a while I get this crash. I get
the g_warning() pretty early on though, so the bug may happen earlier
and just takes a while to turn into a segfault.

(sound-juicer:4114): GStreamer-CRITICAL **: file gstbin.c: line 1259
(gst_bin_iterate): assertion `GST_IS_BIN (bin)' failed

(sound-juicer:4114): GStreamer-CRITICAL **: file gstbin.c: line 1259
(gst_bin_iterate): assertion `GST_IS_BIN (bin)' failed

Program received signal SIGSEGV, Segmentation fault.
[Switching to Thread -157276480 (LWP 4114)]
gst_bin_iterate (bin=0xa002758) at gstbin.c:1259
1259      g_return_val_if_fail (GST_IS_BIN (bin), FALSE);
(gdb) bt
#0  gst_bin_iterate (bin=0xa002758) at gstbin.c:1259
#1  0x00278a98 in g_idle_dispatch (source=0xa0cabd8, callback=0x4,
    user_data=0x9d6dda0) at gmain.c:3806
#2  0x0027574b in g_main_context_dispatch (context=0x9dead78) at
gmain.c:1942
#3  0x002771d2 in g_main_context_iterate (context=0x9dead78, block=1,
    dispatch=1, self=0x9d67360) at gmain.c:2573
#4  0x0027747f in g_main_loop_run (loop=0x9fc8098) at gmain.c:2777
#5  0xf6ce778e in gtk_main () at gtkmain.c:1173
#6  0x08051416 in main (argc=4, argv=0x4) at sj-main.c:1085

(gdb) info locals
__t = 165076384
__r = 165076384
running = 33668215
__PRETTY_FUNCTION__ = "gst_bin_iterate"
(gdb) up
#1  0x00278a98 in g_idle_dispatch (source=0xa0cabd8, callback=0x4,
    user_data=0x9d6dda0) at gmain.c:3806
3806      return callback (user_data);
(gdb) info locals
No locals.

(gdb) list
1254    gst_bin_iterate (GstBin * bin)
1255    {
1256      gboolean running;
1257
1258      g_return_val_if_fail (bin != NULL, FALSE);
1259      g_return_val_if_fail (GST_IS_BIN (bin), FALSE);
1260

(gdb) p *bin
$1 = {element = {object = {object = {g_type_instance = {g_class = 0x4},
        ref_count = 1, qdata = 0xf8},
      name = 0x20 <Address 0x20 out of bounds>, lock = 0xa001520,
      parent = 0x7, flags = 167784408, _gst_reserved = {0x0, 0x0, 0x0,
0x0}},
    current_state = 0 '\0', pending_state = 0 '\0', loopfunc = 0,
sched = 0x0,
    sched_private = 0x0, clock = 0x0, base_time = 0, numpads = 0,
    numsrcpads = 0, numsinkpads = 0, pads = 0x0, state_mutex = 0x0,
    state_cond = 0x0, pre_run_func = 0, post_run_func = 0,
    prop_value_queue = 0x0, property_mutex = 0x0, _gst_reserved =
{0x0, 0x0,
      0x0, 0x0}}, numchildren = 0, children = 0x0, child_states = {
    GST_STATE_VOID_PENDING, GST_STATE_VOID_PENDING,
GST_STATE_VOID_PENDING,
    GST_STATE_VOID_PENDING}, _gst_reserved = {0x0, 0x0, 0x0, 0x0}}
Comment 1 Havoc Pennington 2004-11-01 22:53:44 EST
I have some sense that this always happened at the beginning of a
track, but I'm not sure.
Comment 2 Colin Walters 2004-11-02 16:06:16 EST
I think I see how this *might* happen.  I added a little patch which I'm 95%
sure should be correctness-preserving, and might fix this problem.

Can you try this version?

Binary:
http://people.redhat.com/walters/sound-juicer-0.5.14-3.i386.rpm
Source:
http://people.redhat.com/walters/sound-juicer-0.5.14-3.src.rpm
Comment 3 Colin Walters 2004-11-09 14:07:11 EST
This has been pushed into rawhide; marking as RAWHIDE.  Please reopen if you
still have problem.s

Note You need to log in before you can comment on or make changes to this bug.